跳到主要内容

GET 查询待办详情

GET 查询详情。query 参数:id(必填)。返回待办及子任务、评论、关注人、标签、进度记录;仅创建人、负责人、关注人或数据权限范围内可查看。

接口编码所需范围后端接口
office.todo.detailoffice:readGET /v1/todos/detail(comap-office)

请求参数(query)

字段类型必填说明
idinteger(int64)是—

「必填」仅反映接口规格声明的部分。服务内还有未体现在规格里的校验, 标「—」不等于可以不传;租户在主站配置的字段必填不约束本接口。 详见必填字段的判定与字段清单与自定义字段。

请求示例

curl -X POST https://open.risemap.cn/v1/api/invoke \
-H "Authorization: Bearer <访问令牌>" \
-H "Content-Type: application/json" \
-d '{
"apiCode": "office.todo.detail",
"query": {
"id": "1961000000000000001"
}
}'

响应 data 字段

字段类型必填说明
idstring——
titlestring——
descriptionstring——
sourceinteger(int32)——
sourceBizTypestring——
sourceRefstring——
sourceTitlestring——
assigneeIdstring——
assigneeNamestring——
creatorIdstring——
creatorNamestring——
groupIdstring——
groupNamestring——
deadlinestring(date-time)——
priorityinteger(int32)——
statusinteger(int32)——
progressinteger(int32)——
completeDatestring(date-time)——
createTimestring(date-time)——
subtasks9SubtaskVO[]——
comments7CommentVO[]——
watchers2WatcherVO[]——
tags3TagVO[]——
progressLogs6ProgressVO[]——
attachmentFileIdsstring[]——

错误处理​

响应统一信封 { code, message, data },code == 200 为成功。以下是本接口可能返回的开放平台层错误:

错误码说明可重试
92101访问凭证无效否
92201接口未登记或已停用否
92202超出凭证授权范围——本接口需 office:read否
92204绑定员工无此接口的功能权限否
92203上游服务调用失败是
92301请求过于频繁是

除此之外,comap-office 自身的业务校验失败会原样透传其业务码与提示 (如字段校验、状态不允许、数据不存在),这类码不在开放平台的号段内, 以响应里的 message 为准。完整的平台层错误码见错误码说明。

← 返回todo